Bug 142454 - RHEL4 U2: pciehp driver may not loaded under some BIOS/FW implementations
RHEL4 U2: pciehp driver may not loaded under some BIOS/FW implementations
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Geoff Gustafson
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-09 15:17 EST by Ed Ciechanowski
Modified: 2007-11-30 17:07 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-28 16:47:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix for the problem that pciehp driver may not load (393 bytes, patch)
2004-12-09 15:19 EST, Ed Ciechanowski
no flags Details | Diff
plaintext version of previous patch (659 bytes, patch)
2005-03-16 18:06 EST, Geoff Gustafson
no flags Details | Diff

  None (edit)
Description Ed Ciechanowski 2004-12-09 15:17:20 EST
Description of problem:
This patch contains a two-line fix for an issue that pciehp driver 
may not load depending on the implementation of ACPI 3.0 methods to 
grant native control.



Version-Release number of selected component (if applicable):
2.6.9-1.860

How reproducible:
With some implementation of ACPI 3.0 methods in the BIOS to grant 
native control causes the pciehp driver not to load.

Steps to Reproduce:
1. Need BIOS with implementation of ACPI 3.0 methods to grant native 
control.
2. Try loading the driver.
3.
  
Actual results:
pciehp driver does not load

Expected results:
pciehp driver should load correctly

Additional info:
Comment 1 Ed Ciechanowski 2004-12-09 15:19:26 EST
Created attachment 108255 [details]
fix for the problem that pciehp driver may not load 

Please get this two line fix into the next RC build.
Comment 6 Ed Ciechanowski 2005-03-15 13:32:58 EST
With regards to this specific patch/bug fix:
Currently the hotplug code is not adhering to the ACPI 3.0 spec on 
how OSC should be used in conjunction with OSHP.
The patch in Bugzilla 142454 fixes a bug in the hotplug driver so 
that the driver will be compliant with ACPI 3.0 usage model for OSC 
and OSHP. 
This patch has been Accepted upstream and tested at Intel.  Any 
platform implementing ACPI 3.0 methods with OSC, will be vulnerable 
to this issue.

Intel cannot provide any information with regards to specific BIOS 
implementations by OEM's.  Consequently we can only comment on BIOS 
implementations that Intel is shipping.

If any vendor ships a BIOS per the ACPI 3.0 spec. the hotplug driver 
is vulnerable to loading when _OSC denies control to native hot-plug. 
Intel's Harwich platform is shipping with ACPI 3.0 methods with in 
the next 3 weeks. 

Thanks,
*EDC*
Comment 7 Geoff Gustafson 2005-03-16 18:06:15 EST
Created attachment 112062 [details]
plaintext version of previous patch
Comment 9 dff 2005-04-18 14:25:37 EDT
This bug is currently *not* scheduled to be resolved in RHEL 4 Update 1.
Comment 12 Brian Maly 2005-06-16 10:22:07 EDT
devel ACK for U2
Comment 13 Brian Maly 2005-06-17 12:56:15 EDT
I have a test kernel ready for testing, but we dont seem to have any ACPI 3.0
systems in house. 

Is there any way we could get some vendor testing done on on the some systems
affected by this issue? If not, could we procure some hardware to test on?

I can post a test kernel on people.redhat.com if needed
Comment 23 Peter Martuccelli 2006-11-14 11:22:41 EST
Geoff - This is an old request.  Please determine if Intel is still asking for
this change, and that we have systems to test on. 
Comment 24 Geoff Gustafson 2006-12-06 14:30:51 EST
Trying to get a status update from Ed.

Note You need to log in before you can comment on or make changes to this bug.